Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:43 2009

## Asterisk developer's documentation

# member Struct Reference

Collaboration diagram for member:

[legend]

## Data Fields

int | calls
unsigned int | dead:1
unsigned int | delme:1
int | dynamic
char | interface [80]
time_t | lastcall
struct member * | next
int | paused
int | penalty
int | status

## Detailed Description

Definition at line 293 of file app_queue.c.

## Field Documentation

int calls

Number of calls serviced by this member

Definition at line 296 of file app_queue.c.

Referenced by __queues_show(), add_to_queue(), calc_metric(), changethread(), manager_queues_status(), update_queue(), and update_status().

unsigned int dead

Used to detect members deleted in realtime

Definition at line 301 of file app_queue.c.

Referenced by find_queue_by_name_rt(), and rt_handle_member_record().

unsigned int delme

Flag to delete entry on reload

Definition at line 302 of file app_queue.c.

Referenced by reload_queues().

int dynamic

Are we dynamically added?

Definition at line 297 of file app_queue.c.

Referenced by __queues_show(), add_to_queue(), changethread(), dump_queue_members(), find_queue_by_name_rt(), free_members(), manager_queues_status(), reload_queues(), and update_status().

char interface[80]

Technology/Location

Definition at line 294 of file app_queue.c.

Referenced by __queues_show(), add_to_queue(), changethread(), compare_weight(), complete_remove_queue_member(), create_queue_member(), dump_queue_members(), find_queue_by_name_rt(), free_members(), interface_exists(), interface_exists_global(), manager_queues_status(), reload_queues(), remove_from_queue(), rt_handle_member_record(), set_member_paused(), try_calling(), and update_status().

time_t lastcall

When last successful call was hungup

Definition at line 300 of file app_queue.c.

Referenced by __queues_show(), add_to_queue(), calc_metric(), changethread(), manager_queues_status(), try_calling(), update_queue(), and update_status().

struct member* next`[read]`

Next member

Definition at line 303 of file app_queue.c.

Referenced by __queues_show(), add_to_queue(), changethread(), compare_weight(), complete_remove_queue_member(), dump_queue_members(), find_queue_by_name_rt(), free_members(), get_member_status(), interface_exists(), interface_exists_global(), manager_queues_status(), queue_function_qac(), reload_queues(), remove_from_queue(), rt_handle_member_record(), try_calling(), update_queue(), and update_status().

int paused

Are we paused (not accepting calls)?

Definition at line 299 of file app_queue.c.

Referenced by __queues_show(), add_to_queue(), changethread(), create_queue_member(), dump_queue_members(), get_member_status(), manager_add_queue_member(), manager_pause_queue_member(), manager_queues_status(), reload_queue_members(), reload_queues(), ring_entry(), set_member_paused(), and update_status().

int penalty

Are we a last resort?

Definition at line 295 of file app_queue.c.

Referenced by __queues_show(), add_to_queue(), calc_metric(), changethread(), create_queue_member(), dump_queue_members(), handle_add_queue_member(), manager_add_queue_member(), manager_queues_status(), reload_queue_members(), reload_queues(), rt_handle_member_record(), and update_status().

int status

Status of queue member

Definition at line 298 of file app_queue.c.

Referenced by __queues_show(), add_to_queue(), changethread(), create_queue_member(), get_member_status(), manager_queues_status(), queue_function_qac(), reload_queues(), ring_entry(), try_calling(), and update_status().

The documentation for this struct was generated from the following file:

- app_queue.c